Subject: Re: [PATCH 6/6] Add test_harness make target for testing with prove(1)

From: Jakub Narebski <[email-masked]>
Date: Fri, 07 May 2010 13:20:28 -0700 (PDT)

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> The --jobs option I'm supplying to prove(1) is not supported in all
> prove versions, some older ones (before Perl 5.10.1) don't have
> it. Anyone that's hacking Git probably has 5.10.1, and you can always
> use the old `make test` for non-parallel tests.

I am hacking Git, and I don't have perl >= 5.10.1.  On the other hand
I can alway run "make test" or individual tests instead of 
"make test_harness".

A better solution would be to check Perl version, or even better of
"prove" supports '--jobs' option, and selectively enable parallel
running of test harness in Makefile.
-- 
Jakub Narebski
Poland
ShadeHawk on #git